Create
post
/fscmRestApi/resources/11.13.18.05/assetConditionEventCodes
Request
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
ActiveEndDate: string
(date-time)
Title:
Active End Date -
ConditionEventCategoryCode: string
Title:
Category CodeMaximum Length:30 -
ConditionEventCategoryName: string
Title:
Condition Event Category Name -
ConditionEventCode: string
Title:
Condition Event CodeMaximum Length:30 -
ConditionEventCodeDisableFlag: boolean
Title:
Disable Condition Event Code -
ConditionEventDescription: string
Title:
Condition Event DescriptionMaximum Length:540 -
ConditionEventName: string
Title:
Condition Event NameMaximum Length:540 -
ConditionEventTypeCode: string
Title:
Condition Event Type CodeMaximum Length:30 -
ConditionEventTypeName: string
Title:
Condition Event Type Name -
SourceReferenceId: string
Title:
Source Reference IDMaximum Length:36
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : assetConditionEventCodes-item-response
Type:
Show Source
object-
ActiveEndDate: string
(date-time)
Title:
Active End Date -
ConditionEventCategoryCode: string
Title:
Category CodeMaximum Length:30 -
ConditionEventCategoryName: string
Title:
Condition Event Category Name -
ConditionEventCode: string
Title:
Condition Event CodeMaximum Length:30 -
ConditionEventCodeDisableFlag: boolean
Title:
Disable Condition Event Code -
ConditionEventCodeId: integer
(int64)
Title:
Condition Event Code IDRead Only:true -
ConditionEventDescription: string
Title:
Condition Event DescriptionMaximum Length:540 -
ConditionEventName: string
Title:
Condition Event NameMaximum Length:540 -
ConditionEventTypeCode: string
Title:
Condition Event Type CodeMaximum Length:30 -
ConditionEventTypeName: string
Title:
Condition Event Type Name -
CreatedBy: string
Read Only:
trueMaximum Length:64 -
CreationDate: string
(date-time)
Read Only:
true -
LastUpdateDate: string
(date-time)
Read Only:
true -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64 -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32 -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
SourceReferenceId: string
Title:
Source Reference IDMaximum Length:36
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to create one condition event code.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.action+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/assetConditionEventCodes"
Example Request Body
The following example includes the contents of the request
body in JSON format. In this example, a file attahment is uploaded to the purchase
order header successfully. You replace the request
payload in the cURL command with the contents of the Example Request Body.
The request payload specifies attribute values that the command will use in the
record that it creates.
"{
"ConditionEventCode": "FC-1",
"ConditionEventName": "Failure Code 1",
"ConditionEventDescription": "Failure Code 1",
"ConditionEventTypeCode": "FAILURE"
}"Example Response Body
The following example includes the contents of the response body in JSON format:
"{
"ConditionEventCodeId": 300100549946529,
"ConditionEventCode": "FC-1",
"ConditionEventName": "Failure Code 1",
"ConditionEventDescription": "Failure Code 1",
"ConditionEventTypeCode": "FAILURE",
"ConditionEventTypeName": "Failure code",
"ConditionEventCategoryCode": null,
"ConditionEventCategoryName": null,
"SourceReferenceId": null,
"ActiveEndDate": null,
"ConditionEventCodeDisableFlag": null,
"CreatedBy": "MNT_QA",
"CreationDate": "2021-11-19T13:34:58+00:00",
"LastUpdateDate": "2021-11-19T13:34:58.012+00:00",
"LastUpdateLogin": "D0F9CEFFE50B41ABE053AF01F40A1CD6",
"LastUpdatedBy": "MNT_QA"
}"